Update an API key
curl --request PATCH \
--url https://api.naga.ac/v1/account/keys/{key_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credit_limit": 50,
"is_enabled": true,
"name": "CI worker rotated"
}
'import requests
url = "https://api.naga.ac/v1/account/keys/{key_id}"
payload = {
"credit_limit": 50,
"is_enabled": True,
"name": "CI worker rotated"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credit_limit: 50, is_enabled: true, name: 'CI worker rotated'})
};
fetch('https://api.naga.ac/v1/account/keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2026-03-01T12:00:00Z",
"credit_limit": 100,
"id": 12,
"is_enabled": true,
"name": "Production"
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}{
"error": {
"message": "The request body is invalid.",
"type": "invalid_request_error"
}
}API Keys
Update an API key
Update API key metadata such as its name, enabled state, credit limit, or expiration.
PATCH
/
v1
/
account
/
keys
/
{key_id}
Update an API key
Authorizations
Provisioning key required for account management endpoints under /v1/account.
Path Parameters
Body
application/json
Request model for updating an API key
New name for the API key
Required string length:
1 - 255Enable or disable the API key
Update credit limit for the API key
Required range:
x >= 0Update expiration datetime for the API key. Must be in the future. Send null to remove expiration.
⌘I